<?php // $Id: act_check_access.php,v 1.12 2004/10/11 10:42:42 mario Exp $

/**************************************************************************
 * mg.applanix, Copyright (C) by Mario Gleirscher                         *
 * mg.applanix comes with ABSOLUTELY NO WARRANTY; This is free software,  *
 * and you are welcome to redistribute it under certain conditions;       *
 * view the file COPYING for details.                                     *
 **************************************************************************/

/*
 * Required files:
 * - access_rights.php
 * -
 *
 * Parameter:
 * - $apx_a
 *
 */

// @SECURITY
function_exists( 'apxGuard' ) ? 
	apxGuard( 'apx_root_path' ) : 
	exit( 'PHP interpretation stopped.' );


require( $apx_root_path.'db/access_rights.php' );


// Zugriffsbedingung:
// Die Nutzergruppenkennzahl des gerade angemeldeten Benutzers muss kleiner
// oder gleich der "Fuseaction"-Gruppenzahl sein, damit der Benutzer
// Zugriff erhaelt.

if( !isset( $apx_fa_groups[ $apx_a ][ 0 ] ) ) {
    $apx_fa_groups[ $apx_a ][ 0 ] = 0;
}

if( $apx_fa_groups[ $apx_a ][ 0 ] >= $apx_auth_usertype ) {

    // Insert-Update-Delete-DB-Zugriff noch ueberpruefen
    if( trim( $apx_fa_groups[ $apx_a ][ 2 ] ) != '' &&
              apxIsGet( 'proc', '', '', true, '1' ) ) {

        apxIsGet( 'do', 's_subaction', 'i' );

        $i_pos = strpos( $apx_fa_groups[ $apx_a ][ 2 ], $s_subaction );
        if( $i_pos === false ||
            substr( $apx_fa_groups[ $apx_a ][ 2 ], $i_pos + strlen( $s_subaction ), 1 ) < $apx_auth_usertype ) {
            $bAccess = false;
        }
        else {
            $bAccess = true;
        }
    }
    else {
        $bAccess = true;
    }
}
else
    $bAccess = false;
?>
