<?php // $Id: act_create_mysql_db.php,v 1.19 2004/10/11 10:42:42 mario Exp $

/**************************************************************************
 * mg.applanix, Copyright (C) 2001-2005 Mario Gleirscher                  *
 * mg.applanix comes with ABSOLUTELY NO WARRANTY; This is free software,  *
 * and you are welcome to redistribute it under certain conditions;       *
 * view the file COPYING for details.                                     *
 **************************************************************************/

// Todo: SECURITY!

// Absoluter Pfad zur Applanix-Distribution
require_once( "./act_lib.php" );

$apx_cfgactive = true; // fuer die app_globals.php Datenbank-Fehlermeldung
require_once( "./app_globals.php" );


echo '<html><head><title>mg.applanix '.$apx_versioninfo.
     _( ' - Script for installation of the MySQL-Database' ).'</title>
     <style type="text/css">
     <!--';

include( './'.$apx_stylesheet );

echo '//-->
      </style>
      </head>
      <body font="verdana"><div class="wide">';


// MySQL Datenbank Information
echo '<strong>mg.applanix '.$apx_versioninfo.
     _( ' - Script for installation of the MySQL-Database' ).'<p /></strong>';
echo _( 'Some PHP informations<br />' );


// Datenbankverbindung herstellen
if( $i_pos === strrpos( $apx_dbserver, ':' ) ) {
    $apx_dbsrc_id = new mysqli( 
			substr( $apx_dbserver, 0, $i_pos ), 
			$apx_dbuser, 
			$apx_dbpw, 
			substr( $apx_dbserver, $i_pos + 1 ) );
}
else {
    $apx_dbsrc_id = new mysqli( $apx_dbserver, $apx_dbuser, $apx_dbpw );
}


echo '<pre>';
printf( _( "MySQL client info: %s\n" ), $apx_dbsrc_id->get_client_info() );
printf( _( "MySQL host info: %s\n" ), $apx_dbsrc_id->host_info );
printf( _( "MySQL protocol version: %s\n" ), $apx_dbsrc_id->protocol_version );
printf( _( "MySQL server version: %s\n" ), $apx_dbsrc_id->server_info );
echo '</pre>';


// Datenbank aufbauen
$fapx_sqlscript = fopen( 'db/'.$apx_sqlscript, 'r' );
$iScriptSize = filesize( 'db/'.$apx_sqlscript );

$qBuilderScript = fread( $fapx_sqlscript, $iScriptSize );

$qBuilderScript = str_replace( '%apx_dbname%', $apx_db, $qBuilderScript );
$qBuilderScript = str_replace( '%apx_dbtableprefix%', $apx_dbtableprefix, $qBuilderScript );

// Debug
if( $apx_db_debug ) {
	echo "<pre>$qBuilderScript</pre>";
	echo $apx_db."<p>";
	echo $apx_dbtableprefix;
}

$aBuilderQueries = explode( '/**nq**/', $qBuilderScript );

echo _( '<strong>1. Create database.</strong><br />' );

/*
 * 	Prerequisite via phpMyAdmin, mysql CLI as root, e.g.:
 * 	CREATE USER 'applanix'@'localhost' IDENTIFIED BY 'applanix';
 *	GRANT ALL PRIVILEGES ON applanix.* TO 'applanix'@'localhost' WITH GRANT OPTION;
 */

for( $i = 1; $i < count( $aBuilderQueries ); $i++ ) {
    $iLastSC = strrpos( $aBuilderQueries[ $i ], ';' );

    echo substr( $aBuilderQueries[ $i ], 0, $iLastSC );
    echo '<p/>';
    
    $bSuccess = $apx_dbsrc_id->query( substr( $aBuilderQueries[ $i ], 0, $iLastSC ) );

    if( !$bSuccess ) {
        trigger_error( '<p><strong>'._( "Database query failed." ).'</strong><br />'.
                       $apx_dbsrc_id->errno.": ".$apx_dbsrc_id->error.'</p>', E_USER_ERROR );
    }
}

echo _( 'Finished.<p />' );

// Laenderdaten eintragen
$fapx_countries = fopen( 'db/'.$apx_countrydata, 'r' );

echo _( '<strong>2. Insert country data.</strong><br />' );

while( !feof( $fapx_countries ) ) {
    $aCData = fgetcsv( $fapx_countries, 200, ';', '"' );

    if( !$aCData )
        continue;

    for( $i = 0; $i < count( $aCData ); $i++ )
        if( trim( $aCData[ $i ] ) == '' && ( $i < 1 || $i > 3 ) )
            $aCData[ $i ] = 'NULL';

    $qInsertCountries = "INSERT INTO ".$apx_dbtableprefix."countries
                         ( country_id, shortcut, countryname_de,
                           countryname_en, priorshow, countrycode,
                           oestat_id )
                         VALUES ( ".$aCData[ 0 ].", '".
                                    $aCData[ 1 ]."', '".
                                    $aCData[ 2 ]."', '".
                                    $aCData[ 3 ]."', ".
                                    $aCData[ 4 ].", ".
                                    $aCData[ 5 ].", ".
                                    $aCData[ 6 ]." ) ".
                        "ON DUPLICATE KEY UPDATE ".
                        	"shortcut='".$aCData[ 1 ]."', ".
                            "countryname_de='".$aCData[ 2 ]."', ".
                            "countryname_en='".$aCData[ 3 ]."', ".
                            "priorshow=".$aCData[ 4 ].", ".
                            "countrycode=".$aCData[ 5 ].", ".
                            "oestat_id=".$aCData[ 6 ];

    $bSuccess = $apx_dbsrc_id->query( $qInsertCountries );

    if( !$bSuccess ) {
        trigger_error( '<p><strong>'._( 'Database query failed.' ).'</strong><br />'.
                       $apx_dbsrc_id->errno.": ".$apx_dbsrc_id->error.'</p>', E_USER_ERROR );
    }
}

$apx_dbsrc_id->close();
fclose( $fapx_countries );

echo _( 'Finished.<p>You may now close this window.' ).'</p>
      <p><a href="javascript:window.close();">['._( 'Close window' ).']</a>
      </p></div></body></html>';

?>
