<?php // $Id: dsp_help.php,v 1.36 2004/12/07 14:49:10 mario Exp $

/**************************************************************************
 * mg.applanix, Copyright (C) 2001-2005 Mario Gleirscher                  *
 * mg.applanix comes with ABSOLUTELY NO WARRANTY; This is free software,  *
 * and you are welcome to redistribute it under certain conditions;       *
 * view the file COPYING for details.                                     *
 **************************************************************************/

?>

<TABLE class="apx_form">
<TR> <TD class="apx_headerbg">
<span class="mgsubtitle">mg.applanix <?php echo $apx_versioninfo ?> -
<?php echo _( "user's manual" ) ?>
</SPAN></TD></TR>
<TR> <TD class="apx_mainbg">

<span class="mgemph">
<?php echo _( "This manual is sort of OBSOLETE and currently ONLY available in German language!" ) ?>
</span>

<h2>Inhaltsuebersicht</H2>

<p class="mgtxt">
<ol type="I" class="mgsubtitle">
<li><a href="#sec1">Allgemeines</a></li>
<li><a href="#sec2">Ueber die Anwendung dieses Systems</a>
<ol>
    <li><a href="#sec2.1">Der Belegungsplan</a></li>
    <li><a href="#sec2.2">Anzeigeperiode individuell aendern</a></li>
    <li><a href="#sec2.3">Standardanzeigeperiode einstellen</a></li>
    <li><a href="#sec2.4">Gaestekartei</a></li>
    <li><a href="#sec2.5">Neuer Kundeneintrag</a></li>
    <li><a href="#sec2.6">Kunde suchen</a></li>
    <li><a href="#sec2.7">Adressettiketten drucken</a></li>
    <li><a href="#sec2.8">Buchungskartei</a></li>
    <li><a href="#sec2.9">Neue Buchung</a></li>
    <li><a href="#sec2.10">Raumkartei</a></li>
    <li><a href="#sec2.11">Neuer Raum</a></li>
    <li><a href="#sec2.12">Laenderverzeichnis</a></li>
    <li><a href="#sec2.13">Neues Land</a></li>
    <li><a href="#sec2.14">Anmelden / Abmelden</a></li>
    <li><a href="#sec2.15">mg.applanix beenden</a></li>
    <li><a href="#sec2.16">Liste aller Email-Adressen ausgeben, Serienmails</a></li>
    <li><a href="#sec2.17">mg.applanix-Datenbank sichern</a></li>
    <li><a href="#sec2.18">Buchungskurzuebersicht, naechste Buchungen</a></li>
    <li><a href="#sec2.19">Benutzeruebersicht</a></li>
    <li><a href="#sec2.20">mg.applanix-Benutzer erstellen</a></li>
    <li><a href="#sec2.21">Gast melden</a></li>
    <li><a href="#sec2.22">applanix - Benutzergruppenrechte</a></li>
</ol>
</li>
<li><a href="#sec3">Installation des Systems</a>
<ol>
    <li><a href="#sec3.1">Systemanforderungen</a></li>
    <li><a href="#sec3.2">Konfiguration von mg.applanix</a></li>
    <li><a href="#sec3.3">Erstellen von Applanix-Rechnungsvorlagen</a></li>
    <li><a href="#sec3.4">PHP-Konfiguration</a></li>
    <li><a href="#sec3.5">Datenbankinstallation</a></li>
    <li><a href="#sec3.6">applanix-Sicherheit</a></li>
    <li><a href="#sec3.7">Spezielle Konfigurationshilfe</a></li>
    <li><a href="#sec3.8">Bugreport</a></li>
</ol>
</LI>
<li><a href="#sec4">GNU Public Licence (English)</a>
<ol>
    <li><a href="#sec4.1">GNU GENERAL PUBLIC LICENSE</a></li>
    <li><a href="#sec4.2">Preamble</a></li>
    <li><a href="#sec4.3">TERMS AND CONDITIONS FOR COPYING,
                          DISTRIBUTION AND MODIFICATION</a></li>
    <li><a href="#sec4.4">NO WARRANTY</a></li>
</ol>
</li>
</OL>
</p>

<a name="sec1"></a>
<h2>I. Allgemeines</H2>

<a href="#top"><img src="<?php echo $apx_imgpath ?>sym_up.gif" border="0" align=right alt="Nach oben"></a>
<a href="#bottom"><img src="<?php echo $apx_imgpath ?>sym_down.gif" border="0" align=right alt="Nach unten"></a>

<P ALIGN="justify">Dieses Kunden- und Raumverwaltungssystem besteht im Allgemeinen aus
folgenden Komponenten:

<UL>
<LI>einer Kundenkartei zur Verwaltung von Adressen
          und aehnlichen Informationen,</li>

<LI>einer Buchungs-/Rechnungskartei zur Verwaltung
          von Buchungen und zur Ausstellung von Rechnungen,</li>

<LI>einem Uebersichtsplan zur Anzeige der
          Raumbelegung,</li>

<li>einer Laenderkartei zur Verwaltung von Laendern
          fuer die Kundenkartei</li>

<li>einer Exportfunktion, um Adressen- und Kundendaten extern zu weiter zu
    verwenden</li>

<li>einer Benutzerkartei, um Benutzer der Systems zu verwalten und diesen
    gruppenbasierten Zugriff auf die Systemfunktionalitaet zu geben,</li>



<LI>und einer Kartei zur Verwaltung von
          Raeumlichkeiten wie Zimmern, Appartements und Aehnlichem. </LI>

</UL>


<P ALIGN="justify">Die Buchungs-/Rechnungskartei haengt
        mit der Kundenkartei zusammen. Es koennen also mehrere Buchungen fuer einen
        Kunden aufgenommen werden. Fuer jede Buchung kann ein gesonderte Rechnung
        zum Druck und zur Weitergabe ausgestellt werden.</P>

<P ALIGN="justify">Kunden-, Buchungs-/Rechnungs- und
        Raumdaten koennen jederzeit erstellt, veraendert und geloescht werden.
        Abhaengig ist die freigeschaltete Funktionalitaet jedoch von der Gruppe,
        in der sich der jeweilige Benutzer befindet.</P>

<P ALIGN="justify">Die Rechnungslegung kann mittels
        individuell gestalteter Vorlage schnell erledigt werden. Es gibt
        Vorlagen fuer Kundenrechnungen und fuer die Buchhaltung.
        </P>

<P ALIGN="justify">Aufgrund des aeusserst
        netzkompatiblen Entwurfs kann diese Anwendung auf einem Server in einem
        Intranet installiert und von jeder an dieses Intranet angeschlossenen
        Arbeitsstation bedient werden. Allerdings kann im Netzbetrieb
        nicht ohne weiteres die volle Funktionalitaet von applanix ausgenutzt
        werden. In der aktuellen Version sind z. B. exportierte Buchungsdaten
        nur lokal erreichbar, es sei denn, man legt sich eine Windows- oder
        NFS-Freigabe an, die vom Netz aus entsprechend erreichbar ist.
        Dieses Problem duerfte in den naechsten applanix-Versionen geloest werden.
        </P>

<P ALIGN="justify">
        Details zu den obigen Moeglichkeiten werden weiter unten beschrieben.
        </p>


<a name="sec2"></a>
<h2>II. Ueber die Anwendung dieses Systems</H2>

<a href="#top"><img src="<?php echo $apx_imgpath ?>sym_up.gif" border="0" align=right alt="Nach oben"></a>
<a href="#bottom"><img src="<?php echo $apx_imgpath ?>sym_down.gif" border="0" align=right alt="Nach unten"></a>

<a name="sec2.1"></a>
<h3>II.1. Der Belegungsplan</H3>

<p>
<img src="<?php echo $apx_imgpath ?>msym_plan.gif" align="left">
Mit Hilfe des Belegungsplanes hat der Vermieter oder Verwalter einen guten Ueberblick
ueber die Belegung der vermieteten Raeumlichkeiten (Appartements, Zimmer, etc.).
Die Raeume werden zeilenweise im Plan aufgelistet und fuer jeden Raum wird auf einer horizontalen Zeitlinie
die Belegung durch die eingetragenen Buchungen angezeigt.
</p>
<p>Durch klicken auf den Namen einer Buchung gelangt man direkt auf den entsprechenden Eintrag
in der Kundenkartei. Von dort aus kann man Kunden- und Buchungsdaten verwalten.</p>
<p>Durch klicken auf den Namen eines Raumes im linken Teil des Belegungsplanes gelangt direkt auf die
entsprechenden Raumdaten.</p>
<p>Mit der im oberen Teil des Planes befindlichen Monatsleiste kann man sich sehr einfach und schnell die
Belegung der Raeume fuer den gewaehlten Monat anzeigen lassen.</p>
<p>Mit den Anzeigebereichsmodifikatoren in der linken, oberen Ecke des Planes ( &lt; m, &lt;+m, etc. ) kann
man den Anzeigebereich bequem erweitern, verschieben und anpassen.</p>

<p>
<B>Erlaeuterung:</B><br>
Im Plan werden die Eintraege ganz genau gesagt immer so angezeigt, dass der Kunde um 12 Uhr mittags
des ersten gebuchten Tages ankommt und
um 12 Uhr mittags des letzten gebuchten Tages abreist. Ueberlappungen sind
nicht moeglich, werden aber nicht angezeigt, nur durch drei Ausrufezeichen (!!!) markiert.
</p>


<a name="sec2.2"></a>
<h3>II.2. Anzeigeperiode individuell aendern</h3>

<p>
<img src="<?php echo $apx_imgpath ?>msym_period.gif" align="left">
Mit dieser Funktion kann der Anzeigebereich auf den Tag genau individuell eingestellt werden.
Von dort aus ist es auch moeglich, sich einen Monat aus den folgenden 4 bis 5 Jahren anzeigen zu
lassen.
</p>


<a name="sec2.3"></a>
<h3>II.3. Standardanzeigeperiode einstellen</h3>

<p>
<img src="<?php echo $apx_imgpath ?>msym_plan.gif" align="left">
Mit dieser Funktion kann man sich den standardmaessig konfigurierten Zeitbereich am Belegungsplan
anzeigen lassen. Der standardmaessige Anzeigebereich kann in der Anwendungskonfiguration eingestellt
werden.
</p>


<a name="sec2.4"></a>
<h3>II.4. Kundenkartei</h3>

<p>
<img src="<?php echo $apx_imgpath ?>msym_customers.gif" align="left">
Die Kundenkartei bietet eine tabellarische Uebersicht ueber alle in die Datenbank eingetragenen Kunden.
Von dort aus kann man:
<ul>
<li>
<img src="<?php echo $apx_imgpath ?>sym_new.gif">
neue Kunden in die Kartei eintragen,
</li>
<li>
<img src="<?php echo $apx_imgpath ?>sym_edit.gif">
vorhandene Eintraege veraendern,
</li>
<li><img src="<?php echo $apx_imgpath ?>sym_delete.gif">
Eintraege loeschen und
</li>
<li>
<img src="<?php echo $apx_imgpath ?>sym_new.gif">
neue Buchungen fuer die entsprechenden Kunden erstellen.
</li>
</ul>
</p>


<a name="sec2.5"></a>
<h3>II.5. Neuer Kundeneintrag</h3>

<p>
<img src="<?php echo $apx_imgpath ?>msym_new_customer.gif" align="left">
Mit dieser Funktion kann direkt von der Hauptsymbolleiste ein neuer Kundenkarteieintrag
erstellt werden.
</p>

<p>&nbsp;</p>


<a name="sec2.6"></a>
<h3>II.6 Kunden suchen</h3>

<p>
<img src="<?php echo $apx_imgpath ?>msym_search.gif" align="left">
Mit dieser Funktion koennen Kunden nach Vor- und Nachnamen in der Kartei gesucht werden.
Suchergebnisse werden in der gleichen Form wie die Kundenkartei selbst unmittelbar dargestellt.
</p>


<a name="sec2.7"></a>
<H3>II.7. Adressettiketten drucken</H3>

<P>
<img src="<?php echo $apx_imgpath ?>msym_print_customers.gif" align="left">
mg.applanix ermoeglicht es, Adressettiketten zu erstellen. Die Ettiketten werden grundsaetzlich in
externen Dateien abgespeichert. Diese koennen dann mit den je nach Dateiformat dafuer vorgesehenen Anwendungen
bearbeitet und gedruckt werden. applanix unterstuetzt die folgenden Ausgabeformate:
<ul>
<li>HTML-Tabellen fuer den Browser:<br>
    Hierbei ist folgendes zu beachten:<br>
    <ul>
    <li>In den Druckereinstellungen des Browsers sind Kopf- und Fusszeilen zu
        deaktivieren.</li>
    <li>Weiters sind alle Seitenraender (oben, unten, links und rechts) auf nahe 0 zu setzen
        (Bitte hier einen Probedruck machen, um korrekte Positionierung der Adressen auf
        den Ettiketten zu gewaehrleisten.)</li>
    </ul>
</li>
<li>Excel, tabulator getrennter Datenimport</li>
<li>Einfacher Text</li>
</ul>

<p>
Beim drucken von Ettiketten im HTML format muessen
die Seitenraender bei den Internet-Explorer- oder Netscape/Mozilla-
        Einstellungen <STRONG>Datei --&gt; Seite einrichten ...</STRONG> alle auf
        0 gestellt werden. Weiters muessen dort die Kopf- und Fusszeilen
        deaktivierte werden. D. h. die Textfelder fuer Kopf- und Fusszeilen
        leeren.
</p>

<p>
Sich die ausgegebenen Ettikettenseiten in einem gesonderten Browserfenster
anzeigen lassen kann man beim Mozilla/Netscape nur ueber das Kopieren
des Links in ein neues Browserfenster. Der Mozilla/Netscape-Security-Manager
laesst aus Sicherheitsgruenden keine Links von Webserver-Dokumenten auf die
lokale Festplatte zu. Der Internet Explorer hingegen laesst einen
Zugriff auf die lokale Festplatte zu (kleines Sicherheitsloch!?).
</p>

<strong>Hinweis: Diese Funktion befindet sich derzeit noch in Entwicklung!
Es wird im Moment nur der Druck auf Ettiketten des Boeder-Formats DIN A4
Ettikettengroesse 70x37mm (8x3 Stk./Blatt) unterstuetzt (Boeder-Nr. 47424). </strong>
</P>


<a name="sec2.8"></a>
<h3>II.8. Buchungskartei</h3>

<P>
<img src="<?php echo $apx_imgpath ?>msym_bookings.gif" align="left">
Die Buchungskartei enthaelt alle Buchungen, die von Kunden aufgenommen und eingetragen worden sind.
Die Buchungen werden standardmaessig auch im Belegungsplan angezeigt, wenn die Option
"Diese Buchung im Plan anzeigen" nicht deaktiviert ist. Eine Buchung ist immer mit einer dazugehoerigen
Rechung verbunden!
In der Buchungskartei koennen:
<ul>
<li><img src="<?php echo $apx_imgpath ?>sym_new.gif">
neue Buchungen erstellt,</li>
<li><img src="<?php echo $apx_imgpath ?>sym_edit.gif">
vorhande Buchungen veraendert,
</li>
<li><img src="<?php echo $apx_imgpath ?>sym_delete.gif">
Buchungen geloescht,
</li>
<li><img src="<?php echo $apx_imgpath ?>sym_bill.gif">
Rechnungen angezeigt,</li>
<li><img src="<?php echo $apx_imgpath ?>sym_export.gif">
Buchungsdaten exportiert und</li>
<li><img src="<?php echo $apx_imgpath ?>sym_plan.gif">
Buchungen im Plan angezeigt werden.</li>
</ul>
</p>


<a name="sec2.9"></a>
<h3>II.9. Neue Buchung</h3>

<p>
<img src="<?php echo $apx_imgpath ?>msym_new_booking.gif" align="left">
Wenn eine neue Buchung erstellt werden soll, so kann dies auch direkt von der Hauptsymbolleiste
aus geschehen. Es muss nur noch der Kunde, fuer den die Buchung erstellt werden soll, ausgewaehlt werden.
In der Buchungsmaske werden nun die entsprechenden Daten eingetragen und nach abspeichern derselbigen
wird die Buchung, wenn angegeben, sofort in den Belegungsplan eingetragen. Weiters ist nun auch
eine entsprechende Rechnung zum Ausdruck vorhanden.<br />

Fuer das Ausdrucken von Rechnungen gibt es folgende Tipps:
<ul>
    <li>Fuer den Internet-Explorer: Internet Optionen -> Beim Drucken Hintergrundfarben auch drucken <br />
        Diese Einstellung ergibt schoener ausgedruckte Rechnungen!</li>
    <li>In den Druckereinstellungen des Browsers koennen Kopf- und Fusszeilen
        deaktiviert werden.</li>
    <li>Des Weiteren sind alle Seitenraender (oben, unten, links und rechts)
        entsprechend einzustellen. </li>
</ul>
</p>

<p>
<strong>Wichtige Richtlinien: </strong>
<ul>
<li>Bei W&auml;hrungsangaben muss <strong>der Punkt</strong>
als Dezimaltrennzeichen verwendet werden!</li>
<li>Felder mit Zahlenangaben (z. B. Waehrungsfelder) muessen immer
einen Wert enthalten, d. h. mind. 0, wenn z. B. keine Kosten in einem Bereich anfallen.</li>
</ul>
</p>


<a name="sec2.10"></a>
<h3>II.10. Raumkartei</h3>

<p>
<img src="<?php echo $apx_imgpath ?>msym_rooms.gif" align="left">
Um dieses Verwaltungssystem flexibel wie moeglich zu gestalten wurde auch die Unterstuetzung von
beliebig vielen vermietbaren Raeumlichkeiten eingebaut. In der Raumkartei
koennen Raeume:
<ul>
<li><img src="<?php echo $apx_imgpath ?>sym_new.gif"> erstellt, </li>
<li><img src="<?php echo $apx_imgpath ?>sym_edit.gif"> bearbeitet und</li>
<li><img src="<?php echo $apx_imgpath ?>sym_delete.gif"> geloescht</li>
</ul>
werden.
</p>


<a name="sec2.11"></a>
<h3>II.11. Neuer Raum</h3>

<p>
<img src="<?php echo $apx_imgpath ?>msym_new_room.gif" align="left">
Mit dieser Funktion kann direkt von der Hauptsymbolleiste aus ein neuer Raum erstellt werden.
Dieser wird dann sofort im Uebersichtsplan angezeigt, wenn angegeben.
</p>


<a name="sec2.12"></a>
<h3>II.12. Laenderverzeichnis</h3>

<p>
<img src="<?php echo $apx_imgpath ?>msym_countries.gif" align="left">
Mit dem Laenderverzeichnis kann die Laenderdatenbank modifiziert werden.
Standardmaessig wird applanix mit einer grossen Anzahl von in die Datenbank eingetragenen Laendern
ausgeliefert. Im Laenderverzeichnis koennen:

<ul>
<li><img src="<?php echo $apx_imgpath ?>sym_new.gif"> neue Laender erstellt,</li>
<li><img src="<?php echo $apx_imgpath ?>sym_edit.gif"> Laender bearbeitet und</li>
<li><img src="<?php echo $apx_imgpath ?>sym_delete.gif"> geloescht</li>
</ul>

werden.
</p>


<a name="sec2.13"></a>
<h3>II.13. Neues Land</h3>

<p>
<img src="<?php echo $apx_imgpath ?>msym_countries.gif" align="left">
Mit dieser Funktion kann ein neues Land direkt von der Hauptsymbolleiste aus
in das Laenderverzeichnis eingetragen werden.
</p>


<a name="sec2.14"></a>
<h3>II.14. Anmelden / Abmelden</h3>

<p>
<img src="<?php echo $apx_imgpath ?>msym_logout.gif" align="left">
Wenn applanix so konfiguriert ist, dass ein Anwender sich
beim Start anmelden muss, dann sollte sich dieser aus Gruenden
der Sicherheit bei der
Beendigung seiner Arbeit auch wieder abmelden. Das geschieht
ueber einen Klick auf dieses Symbol.
</p>


<a name="sec2.15"></a>
<h3>II.15. mg.applanix beenden</h3>

<p>
<img src="<?php echo $apx_imgpath ?>msym_exit.gif" align="left">
applanix kann mit einem Klick auf dieses Symbol beendet werden.
Diese Funktion ist bei einem Betrieb des Browsers im Vollbildmodus
oft ganz praktisch. Wenn applanix mit dieser Funktion beendet
wird, dann wird der Benutzer auch automatisch vom System abgemeldet.
</p>


<a name="sec2.16"></a>
<h3>II.16. Liste aller Email-Adressen ausgeben, Serienmails</h3>

<p>
<img src="<?php echo $apx_imgpath ?>msym_email_list.gif" align="left">
Mit dieser Funktion k&ouml;nnen Sie sich eine Liste aller in der Datenbank
enthaltenen Email-Adressen ausgeben lassen. Es werden natuerlich nur diejenigen
Kundenkarteieintraege angezeigt, bei denen auch eine Email-Adresse existiert.
</p>

<p>
Um eine Serienemail zu erstellen, waehlen Sie einfach alle Karteieintraege
in der Emailliste aus, an die Sie diese Email senden wollen. Aktivieren
Sie dazu die jeweiligen Checkboxen am linke Rand der Liste. Klicken Sie
nun auf "Serienemail verfassen". Im folgenden Formular koennen Sie den Text
der Email verfassen und das Email mit dem Knopf "Serienemail versenden"
an die Empfaenger senden.
Anmerkung: Serienmails koennen direkt nur ueber die interne Mailfunktion
versendet werden!
</p>


<a name="sec2.17"></a>
<h3>II.17. mg.applanix-Datenbank sichern</h3>

<p>
<img src="<?php echo $apx_imgpath ?>msym_db_backup.gif" align="left">
Sie haben die Moeglichkeit, eine Sicherungskopie der Applanix-Datenbank
in einem in den Applanix-Systemeinstellungen konfigurierten Verzeichnis anzulegen.
Per Voreinstellung wird die Datenbank auf Disketten im Laufwerk a:\ gesichert.
Vorsicht: Beim Sichern werden gleichnamige alte Dateien ueberschrieben!
Zur Sicherung genuegt ein einmaliges Druecken dieser Symboltaste.
</p>


<a name="sec2.18"></a>
<h3>II.18. Buchungskurzuebersicht, naechste Buchungen</h3>

<p>
<img src="<?php echo $apx_imgpath ?>msym_next_customers.gif" align="left">
Mit dieser Funktion koennen Sie schnell und einfach eine Uebersicht bekommen,
welche Kunden in naechster Zeit bei Ihnen gebucht haben und wann diese ankommen.
Ebenso haben Sie eine Uebersicht ueber die gerade in Ihren Mietobjekten wohnenenden
Kunden. Wenn Sie diese Funktion oefter nutzen, dann konfigurieren Sie sie doch
einfach als Applanix-Startseite in der Applanix-Konfiguration.</p>



<a name="sec2.19"></a>
<h3>II.19. Benutzeruebersicht</h3>
<p>
<img src="<?php echo $apx_imgpath ?>msym_editors.gif" align="left">
Hier erhalten Sie eine Uebersicht ueber alle in die Applanix-Datenbank
eingetragenen Benutzer. Diese Personen sind mit entsprechenden Rechten
versehen, um die Applanix-Funktionialitaet zu nutzen. Von hier aus
kontrollieren Applanix-Administratoren den Zugriff der verschiedenen Nutzer.
</p>


<a name="sec2.20"></a>
<h3>II.20. mg.applanix-Benutzer erstellen</h3>
<p>
<img src="<?php echo $apx_imgpath ?>msym_new_editor.gif" align="left">
Mit dieser Funktion koennen Applanix-Administratoren neue Nutzer hinzufuegen
und so anderen Personen den Zugriff auf das System verschaffen.
Wichtig ist hier natuerlich, dass in der Applanix-Konfiguration die Option
"Benutzeranmeldung aktivieren" eingeschaltet ist. Hiermit wird die
Anmeldeaufforderung fuer Nutzer erst richtig aktiviert.
</p>

<a name="sec2.21"></a>
<h3>II.21. Gast melden</h3>
<p>
<img src="<?php echo $apx_imgpath ?>msym_guestreg.gif" align="left">
Noch nicht implementiert!
<br><br><br>
</p>


<a name="sec2.22"></a>
<h3>II.22. applanix - Benutzergruppenrechte</h3>
<p>
<table class="apx_list">
<tr>
<th class="apx_headerbg"><span class="mgtxtsmall">
    <strong>Berechtigung</strong></span>
</th>

<?php

include( $apx_root_path.'db/access_rights.php' );

for( $i = 0; $i < count( $apx_usertypes ); $i++ ) {
    echo '<th class="apx_headerbg"><span class="mgtxtsmall"><strong>'.
         $apx_usertypes[ $i ][ 1 ].
         '<br>('.$apx_usertypes[ $i ][ 0 ].')'.
         '</strong></span></th>';
}

echo '</tr>';

reset( $apx_fa_groups );

while( list( $sCurKey, $aCurRights ) = each( $apx_fa_groups ) ) {
    echo '<tr><td class="apx_labelbg"><span class="mgtxtsmall">'.
         $aCurRights[ 1 ].'</span></td>';

    for( $j = 0; $j < count( $apx_usertypes ); $j++ ) {
        echo '<td class="apx_mainbg">';

        if ( $j <= $aCurRights[ 0 ] ) {
            echo '<img src="'.$apx_imgpath.'sym_ok.gif" height=15 width=15>';

            if( trim( $aCurRights[ 2 ] ) != '' ) {
                $a_specrights = explode( ',', $aCurRights[ 2 ] );
                foreach( $a_specrights as $s_specright ) {
                    if( intval( substr( $s_specright, strlen( $s_specright ) - 1 ) ) >= $j )
                        echo( ' '.strtoupper( substr( $s_specright, 0,
                                              strlen( $s_specright ) - 1 ) ).', ' );
                }
            }
        }
        else
            echo '-';

        echo '</td>';
    }

    echo '</tr>';
}

?>

</table>

Erklaerung:<br />
Die mit einem Haekchen versehen Felder kennzeichnen Zugriffsrecht fuer
die entsprechende Benutzergruppe. Fuer Formulare gilt zusaetzlich: Wenn sich
hinter dem Haekchen Buchstaben befinden, geben diese an, welche Arten von Datenbankzugriffen
diese Benutzergruppe machen darf (I = Einfuegen, U = Aktualisieren, D = Loeschen,
M = Mehrfachloeschen, SB = Detaillierten Belegungsplan anzeigen).
Keine Buchstabenkennzeichen hinter dem Haekchen bedeuten, dass diese Benutzergruppe
zwar Zugang zum Formular hat, jedoch keine Aenderungen in Datenbank vollziehen
kann.

</p>

<p>&nbsp;</p>

<a name="sec3"></a>
<h2>III. Installation des Systems</H2>

<a href="#top"><img src="<?php echo $apx_imgpath ?>sym_up.gif" border="0" align=right alt="Nach oben"></a>
<a href="#bottom"><img src="<?php echo $apx_imgpath ?>sym_down.gif" border="0" align=right alt="Nach unten"></a>

<a name="sec3.1"></a>
<h3>III.1. Systemanforderungen</h3>

<P ALIGN="justify">Ueblicherweise legt man bei der Einrichtung dieses Systems zuerst Eintraege
aller Raeumlichkeiten ( Appartements, Zimmer ) an, die man verwalten will. Zuerst muss das System natuerlich
konfiguriert werden. Folgendes ist dazu noetig:
<ul>
<li>Hierzu muss eine entsprechende ODBC-Datenbank
    im System registriert werden, bzw. der MySQL-Datenbankanschluss in PHP
    konfiguriert werden. Aktivierung und Konfiguration der PHP-MySQL-Module siehe
    dazu weiter unten bzw. entsprechende PHP-/MySQL-Dokumentation.<br>
    Weiters zur Datenbank wird weiter unten beschrieben.
</li>

<li>Weiters muessen ein Webserver ( Apache, IIS,
          ... ) und der PHP-Interpreter ( Version 4.1 und hoeher ) installiert
          werden.
</li>
<li>Zum Arbeiten benoetigt man einen HTML-Browser (
          Internet Explorer &gt;= 5.x, Netscape &gt;= 6.1, Opera &gt;= 5.x,
          Mozilla &gt;= 1.0.x, KDE Konquerer Browser &gt;= 2.2.x ).
          Die Opera-Unterstuetzung wurde bis jetzt leider noch nicht
          ausreichend getestet.
</li>
<li>Der Browser muss "JavaScript 1.2"-faehig sein
          und sollte CSS &gt;= 2.0 und HTML 4.0 unterstuetzen.
          Bei Browsern mit JavaScript 1.0, CSS 1.0 und HTML 3.0
          gibt es ein deutliche erhoehte Fehlfunktionsrate.
</li>
<li>Zur korrekten Funktion des Anmeldevorgangs
          muss der Browser Cookies unterstuetzen bzw. diese muessen aktiviert
          sein.
</li>
<li>Der Browser muss so eingestellt sein, dass er
          immer die aktuellste Version der verfuegbaren Seite anzeigt. Beim
          Internet Explorer kann man das mit der Einstellung 'Extras' --&gt;
          'Internetoptionen ...' --&gt; 'Temporaere Internetdateien' --&gt;
          'Einstellungen ...': "Neuere Versionen der gespeicherten Seiten
          suchen: Bei jedem Zugriff auf die Seite" erreichen. Beim Netscape
          Navigator oder Mozilla verlaeuft es etwa aehnlich.
</LI>
<li>Fuer ein bequemes Arbeiten mit diesem System empfielt sich eine Bildschirmaufloesung
von mind. 1024 x 768 und mind. 256 Farben. Je groesser die Aufloesung, desto mehr kann
angezeigt werden. Eine entsprechende Groessenanpassung des
Belegungsplanes kann in der Applanix-Konfiguration
festgelegt werden. mg.applanix wurde fuer eine Mindestaufloesung von 1024x768 entwickelt.</li>

</UL>
</p>


<a name="sec3.2"></a>
<h3>III.2. Konfiguration von mg.applanix</h3>

<p>
<img src="<?php echo $apx_imgpath ?>msym_config.gif" align="left">
applanix kann groesstenteils vom Anwender zur Laufzeit konfiguriert werden.
Bei der Installation von applanix wird die Anwendung beim ersten Start
nicht sofort vollstaendig angezeigt, es muessen vorher alle zur vollstaendigen
Funktion noetigen Einstellungen vorgenommen werden.
Die Konfigurationsdatei apx_config.xml.php ist beim ersten Start standardmaessig
nicht vorhanden, wird dann aber nach korrektem Ausfuellen des
Konfigurationsformulares erstellt. Nun kann die Anwendung
voll funktionsfaehig gestartet werden.
</p>
<p>
<strong>Workaround</strong><br> bei der Verwendung von Netscape/Mozilla als Mailer in
Zusammenarbeit mit dem MS Internet Explorer als Standardbrowser.<br>
Um das Problem zu umgehen, dass bei einer "mailto"-Url im IE immer Outlook Express
aufgerufen wird, auch wenn Mozilla/Netscape Messenger als Standard-Mailer eingestellt
sind, stellt man folgendes in der Windows-Registry ein:<br><br>

Im Schluessel<br>
<tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;HKEY_CLASSES_ROOT\mailto\shell\open\command\</tt><br>
die Zeichenfolge<br>
<tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(Standard)</tt><br>
auf den Wert<br>
<tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;Applanix-Wurzelpfad&gt;mailto_tool\mailto_tool.exe
    &lt;Mozilla/Netscape-Executable-Pfad&gt; "%1"</tt><br>
stellen.<br><br>

Beispiel:<br>
<tt>HKEY_CLASSES_ROOT\mailto\shell\open\command\(Standard) =<br>
    d:\applanix\mailto_tool\mailto_tool.exe c:\programme\mozilla\ "%1"</tt><br><br>

Nun wird bei einer "mailto"-Url im IE immer der Messenger aufgerufen. Das
"mailto"-Pr&auml;fix in der Email-Adresse wird mit dem Tool "mailto_tool.exe"
entfernt. Dieses Tool startet den Mozilla/Netscape-Mailer dann
automatisch. Ohne diese Modifikation des Registrierungsschluessels wuerde dieses
Praefix in der Mail-URL enthalten bleiben.<br>
</p>


<a name="sec3.3"></a>
<h3>III.3. Erstellen von Applanix-Rechnungsvorlagen</h3>

<p>Rechnungsformulare sind herkoemmliche HTML-Dateien, welche das
Grundgeruest der Rechnung beschreiben. Es koennen die Applanix
Stylesheets verwendet werden (Datei <?php echo $apx_stylesheet ?>).
Dynamische Daten werden mittles PHP-Variablen im Short-Open-Stil in
die Vorlage eingefuegt. <br>
z. B.: <code>&lt;?= $&lt;Variablenname&gt; ?&gt;</code></p>
<p>
Folgende Variablen koennen verwendet werden:
<ul>
<li>Buchungsspezifische Variablen, wie z. B. $sPrice</li>
<li>Applanix-Benutzerdaten, wie z. B. $apx_user_lastname</li>
</ul>
Ein Liste der Variablen wird noch angefuegt. Bis dahin muss man
in den Dateien act_proc_config.php und dsp_print.php nachsehen.
</p>
<p>
Bei der im applanix-Paket mitgelieferten Kundenrechnungsvorlage sollten
die verwendeten "Firmenlogo"-Bilder <tt>bill_logo[1,2].jpg</tt>
im Verzeichnis <tt><?php echo $apx_imgpath ?></tt> durch eigene ersetzt werden. Die Bildgroesse
der eigenen Bilder sollte jedoch mit den originalen Groessen uebereinstimmen,
um das Layout er Rechnungsvorlage nicht zu zerstoeren.
</p>

<a name="sec3.4"></a>
<h3>III.4. PHP-Konfiguration</h3>
<p>
Um mg.applanix funktionstuechtig laufen zu lassen, muessen beim PHP-Interpreter
einige Einstellungen vorgenommen werden. Details dazu befinden sich
in den Dateien INSTALL und README des Programmpaketes.
</p>

<a name="sec3.5"></a>
<h3>III.5. Datenbankinstallation</h3>

<p>
Der Apache-Server-Dienst kann unter verschieden Benutzerkonten laufen.
Damit laufen auch alle vom Apache aus gestarteten PHP-Prozesse unter demselben
Benutzerkonto.
Entsprechend gestaltet sich die Konfiguration:
</p>

<dl>
<dt><strong>MS Access Datenbank unter Windows NT/2000/XP: Apache und
    PHP laufen als Systemkomponenten unter "localsystem"</strong></dt>
<dd>Unter
    Startmenue -&gt; Einstellungen -&gt; Systemsteuerung -&gt;
    Verwaltung -&gt; Datenquellen ODBC anwaehlen. Dort gibt man im Karteireiter
    <strong>&quot;System-DSN&quot;</strong> eine neue Systemdatenquelle an. Der Name dieser
    Datenquelle muss mit dem Datenbanknamen in der Applanix-Konfiguration
    uebereinstimmen. In den Eigenschaften der Datenquelle gibt man die
    eigentliche ACCESS-Datenbankdatei an. Als Datenbanktreiber gibt man den
    &quot;MS Access-Treiber&quot; an. Bei der Standardautorisierung
    in den erweiterten
    Optionen gibt man Benutzername und Passwort an. Diese Angaben muessen
    ebenfalls identisch mit denen in der Applanix-Konfiguration sein.<br>
    <strong>Nachteil dieser Methode</strong>: Bleibt der PHP-Interpreter oder der Apache
    einmal haengen, kann man ihn nicht mehr "abschiessen".<br><bR>
</dd>

<dt><strong>MS Access Datenbank unter Windows NT/2000/XP: Apache und PHP
    laufen als User "&lt;username&gt;"</strong></dt>
<dd>Unter
    Startmenue -&gt; Einstellungen -&gt; Systemsteuerung -&gt;
    Verwaltung -&gt; Datenquellen ODBC anwaehlen. Dort gibt man im Karteireiter
    <strong>&quot;Benutzer-DSN&quot;</strong> eine neue Systemdatenquelle an. Der Name dieser
    Datenquelle muss mit dem Datenbanknamen in der Applanix-Konfiguration
    uebereinstimmen. In den Eigenschaften der Datenquelle gibt man die
    eigentliche ACCESS-Datenbankdatei an. Als Datenbanktreiber gibt man den
    &quot;MS Access-Treiber&quot; an. Bei der Standardautorisierung
    in den erweiterten
    Optionen gibt man Benutzername und Passwort an. Diese Angaben muessen
    ebenfalls identisch mit denen in der Applanix-Konfiguration sein.Der obige
    Nachteil faellt hier weg.<br><br>
</dd>

<dt><strong>MS Access Datenbank unter Windows 95/98/Me:</strong></dt>
<dd>...<br><br></dd>

<dt><strong>MySQL-Datenbank unter Windows:</strong></dt>
<dd>
<ul>
<li>1. MySQL installieren</li>
<li>2. MySQL konfigurieren (Datei: my-example.cnf). Konfigurationsschritte
   in Datei selbst erklaert bzw. in MySQL-Dokumentation nachschauen.</li>
<li>3. Folgende Variablen sind einzustellen:<br>
    <tt>basedir</tt> ist auf den Installationspfad einzustellen, jedoch
    \ ist durch / zu ersetzen!
</li>
<li>4. Die Datei my-example.cnf nach C:\my.cnf kopieren.</li>
<li>5. MySQL starten, siehe Skript run_apache_and_mysql.bat im
    Verzeichnis misc der Applanix-Distribution.
</li>
<li>6. Das PHP-Skript act_create_mysql_db.php richtig konfigurieren und
       im Browser ausfuehren, um die Datenbank am MySQL-Server zu
       installieren.</li>
<li>7. ... <br><br></li>
</ul>
</dd>

<dt><strong>MySQL-Datenbank unter Unix/Linux:</strong></dt>
<dd>...<br><br></dd>

</dl>


<a name="sec3.6"></a>
<h3>III.6. applanix-Sicherheit</h3>

<p>
<strong>
Hier soll noch einmal ausdruecklich darauf hingewiesen werden, dass
mg.applanix kein einbruchsicheres System darstellt. Es wurde nicht als
hochsichere Anwendung entwickelt, sondern konzentriert sich
auf die eigentlichen Einsatzgebiete. Es ist also nicht
ausgeschlossen, dass Fachkraefte eine Moeglichkeit finden, das System
zu umgehen und unerlaubten Zugriff auf die Datenbank zu erlangen.
Um ein System wie applanix moeglichst einbruchsicher zu machen, bedarf
es weiterer Software und der Beratung entsprechender
Sicherheitsspezialisten.
</strong>
</p>

<P>
Auf Systemen, wo mehrere Benutzer von verschiedenen Rechnern auf
eine Applanix-Installation zugreifen, ist es ratsam
die Konfigurationsdatei <tt>apx_config.xml.php</tt> mittels Apache-Direktiven
gegen Direktzugriff zu schuetzen.
</p>

<p>
Schuetzen Sie Ihre Access-Datenbank ebenfalls mit entsprechenden
Apache-Direktiven in einer gesonderten .htaccess-Datei vor
unerwuenschten Zugriffen aus dem Intra- oder Internet, falls Sie die Datei
applanix.mdb im Originalpfad belassen wollen. Empfohlen wird einen
Auslagerung der Datenbank in ein geschuetztes Verzeichnis.
</p>

<p>
<strong>Das selbe gilt fuer die Konfigurationsdatei <tt>apx_config.xml.php</tt>,
die sehr wichtige Daten enthaelt. Diese sollte unbedingt per .htaccess gegen
jegliche HTTP-Zugriffe geschuetzt werden.</strong>
</p>

<p>
Eventuell sind alle PHP-Warnungen zu deaktivieren, damit boeswillige Benutzer
keine geschuetzten Informationen zu Gesicht bekommen koennen, wenn sie versuchen
das System durch unzulaessige Eingaben zur Fehlfunktion zu bewegen.
Deshalb folgendes in der Datei <tt>php.ini</tt> konfigurieren: <br/>
<tt>
display_errors = Off<br/>
display_startup_errors = Off
</tt>
</p>


<a name="sec3.7"></a>
<h3>III.7. Spezielle Konfigurationshilfe</h3>

<?php include( $apx_root_path.'dsp_help_config.php' ); ?>


<a name="sec3.8"></a>
<h3>III.8. Bugreport</h3>
<p>Allfaellige Fehler in der Anwendung koennen selbstverstaendlich an
<a href="mailto:<?php echo( $apx_supportmail ); ?>">mich</a> gemeldet
werden. Das gleiche gilt fuer Kritiken und
Verbesserungsvorschlaege.</p>


<a name="sec4"></a>
<h2>IV. GNU Public Licence (English)</h2>

<a href="#top"><img src="<?php echo $apx_imgpath ?>sym_up.gif" border="0" align=right alt="Nach oben"></a>
<a href="#bottom"><img src="<?php echo $apx_imgpath ?>sym_down.gif" border="0" align=right alt="Nach unten"></a>

<P>

<a name="sec4.1"></a>
<h3>IV.1. GNU GENERAL PUBLIC LICENSE</h3>
<P>
Version 2, June 1991

</P>

<PRE>
Copyright (C) 1989, 1991 Free Software Foundation, Inc.
59 Temple Place - Suite 330, Boston, MA  02111-1307, USA

Everyone is permitted to copy and distribute verbatim copies
of this license document, but changing it is not allowed.
</PRE>



<a name="sec4.2"></a>
<h3>IV.2. Preamble</h3>

<P>
  The licenses for most software are designed to take away your
freedom to share and change it.  By contrast, the GNU General Public
License is intended to guarantee your freedom to share and change free
software--to make sure the software is free for all its users.  This
General Public License applies to most of the Free Software
Foundation's software and to any other program whose authors commit to
using it.  (Some other Free Software Foundation software is covered by
the GNU Library General Public License instead.)  You can apply it to
your programs, too.

</P>
<P>
  When we speak of free software, we are referring to freedom, not
price.  Our General Public Licenses are designed to make sure that you
have the freedom to distribute copies of free software (and charge for
this service if you wish), that you receive source code or can get it
if you want it, that you can change the software or use pieces of it
in new free programs; and that you know you can do these things.

</P>
<P>
  To protect your rights, we need to make restrictions that forbid
anyone to deny you these rights or to ask you to surrender the rights.
These restrictions translate to certain responsibilities for you if you
distribute copies of the software, or if you modify it.

</P>
<P>
  For example, if you distribute copies of such a program, whether
gratis or for a fee, you must give the recipients all the rights that
you have.  You must make sure that they, too, receive or can get the
source code.  And you must show them these terms so they know their
rights.

</P>
<P>
  We protect your rights with two steps: (1) copyright the software, and
(2) offer you this license which gives you legal permission to copy,
distribute and/or modify the software.

</P>
<P>
  Also, for each author's protection and ours, we want to make certain
that everyone understands that there is no warranty for this free
software.  If the software is modified by someone else and passed on, we
want its recipients to know that what they have is not the original, so
that any problems introduced by others will not reflect on the original
authors' reputations.

</P>
<P>
  Finally, any free program is threatened constantly by software
patents.  We wish to avoid the danger that redistributors of a free
program will individually obtain patent licenses, in effect making the
program proprietary.  To prevent this, we have made it clear that any
patent must be licensed for everyone's free use or not licensed at all.

</P>
<P>
  The precise terms and conditions for copying, distribution and
modification follow.

</P>


<a name="sec4.3"></a>
<h3>IV.3. TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION</h3>


<P>

<STRONG>0.</STRONG>
 This License applies to any program or other work which contains
a notice placed by the copyright holder saying it may be distributed
under the terms of this General Public License.  The "Program", below,
refers to any such program or work, and a "work based on the Program"
means either the Program or any derivative work under copyright law:
that is to say, a work containing the Program or a portion of it,
either verbatim or with modifications and/or translated into another
language.  (Hereinafter, translation is included without limitation in
the term "modification".)  Each licensee is addressed as "you".
<P>

Activities other than copying, distribution and modification are not
covered by this License; they are outside its scope.  The act of
running the Program is not restricted, and the output from the Program
is covered only if its contents constitute a work based on the
Program (independent of having been made by running the Program).
Whether that is true depends on what the Program does.

<P>

<STRONG>1.</STRONG>
 You may copy and distribute verbatim copies of the Program's
source code as you receive it, in any medium, provided that you
conspicuously and appropriately publish on each copy an appropriate
copyright notice and disclaimer of warranty; keep intact all the
notices that refer to this License and to the absence of any warranty;
and give any other recipients of the Program a copy of this License
along with the Program.
<P>

You may charge a fee for the physical act of transferring a copy, and
you may at your option offer warranty protection in exchange for a fee.
<P>

<STRONG>2.</STRONG>
 You may modify your copy or copies of the Program or any portion
of it, thus forming a work based on the Program, and copy and
distribute such modifications or work under the terms of Section 1
above, provided that you also meet all of these conditions:
<P>

<UL>

<LI><STRONG>a)</STRONG>
     You must cause the modified files to carry prominent notices
     stating that you changed the files and the date of any change.

<P>
<LI><STRONG>b)</STRONG>
     You must cause any work that you distribute or publish, that in
     whole or in part contains or is derived from the Program or any
     part thereof, to be licensed as a whole at no charge to all third
     parties under the terms of this License.

<P>
<LI><STRONG>c)</STRONG>
     If the modified program normally reads commands interactively
     when run, you must cause it, when started running for such
     interactive use in the most ordinary way, to print or display an
     announcement including an appropriate copyright notice and a
     notice that there is no warranty (or else, saying that you provide
     a warranty) and that users may redistribute the program under
     these conditions, and telling the user how to view a copy of this
     License.  (Exception: if the Program itself is interactive but
     does not normally print such an announcement, your work based on
     the Program is not required to print an announcement.)
</UL>

These requirements apply to the modified work as a whole.  If
identifiable sections of that work are not derived from the Program,
and can be reasonably considered independent and separate works in
themselves, then this License, and its terms, do not apply to those
sections when you distribute them as separate works.  But when you
distribute the same sections as part of a whole which is a work based
on the Program, the distribution of the whole must be on the terms of
this License, whose permissions for other licensees extend to the
entire whole, and thus to each and every part regardless of who wrote it.
<P>

Thus, it is not the intent of this section to claim rights or contest
your rights to work written entirely by you; rather, the intent is to
exercise the right to control the distribution of derivative or
collective works based on the Program.
<P>

In addition, mere aggregation of another work not based on the Program
with the Program (or with a work based on the Program) on a volume of
a storage or distribution medium does not bring the other work under
the scope of this License.

<P>

<STRONG>3.</STRONG>
 You may copy and distribute the Program (or a work based on it,
under Section 2) in object code or executable form under the terms of
Sections 1 and 2 above provided that you also do one of the following:


<!-- we use this doubled UL to get the sub-sections indented, -->
<!-- while making the bullets as unobvious as possible. -->
<UL>

<LI><STRONG>a)</STRONG>
     Accompany it with the complete corresponding machine-readable
     source code, which must be distributed under the terms of Sections
     1 and 2 above on a medium customarily used for software interchange; or,

<P>
<LI><STRONG>b)</STRONG>
     Accompany it with a written offer, valid for at least three
     years, to give any third party, for a charge no more than your
     cost of physically performing source distribution, a complete
     machine-readable copy of the corresponding source code, to be
     distributed under the terms of Sections 1 and 2 above on a medium
     customarily used for software interchange; or,

<P>
<LI><STRONG>c)</STRONG>
     Accompany it with the information you received as to the offer
     to distribute corresponding source code.  (This alternative is
     allowed only for noncommercial distribution and only if you
     received the program in object code or executable form with such
     an offer, in accord with Subsection b above.)
</UL>

The source code for a work means the preferred form of the work for
making modifications to it.  For an executable work, complete source
code means all the source code for all modules it contains, plus any
associated interface definition files, plus the scripts used to
control compilation and installation of the executable.  However, as a
special exception, the source code distributed need not include
anything that is normally distributed (in either source or binary
form) with the major components (compiler, kernel, and so on) of the
operating system on which the executable runs, unless that component
itself accompanies the executable.
<P>

If distribution of executable or object code is made by offering
access to copy from a designated place, then offering equivalent
access to copy the source code from the same place counts as
distribution of the source code, even though third parties are not
compelled to copy the source along with the object code.
<P>

<STRONG>4.</STRONG>
 You may not copy, modify, sublicense, or distribute the Program
except as expressly provided under this License.  Any attempt
otherwise to copy, modify, sublicense or distribute the Program is
void, and will automatically terminate your rights under this License.
However, parties who have received copies, or rights, from you under
this License will not have their licenses terminated so long as such
parties remain in full compliance.

<P>

<STRONG>5.</STRONG>
 You are not required to accept this License, since you have not
signed it.  However, nothing else grants you permission to modify or
distribute the Program or its derivative works.  These actions are
prohibited by law if you do not accept this License.  Therefore, by
modifying or distributing the Program (or any work based on the
Program), you indicate your acceptance of this License to do so, and
all its terms and conditions for copying, distributing or modifying
the Program or works based on it.

<P>

<STRONG>6.</STRONG>
 Each time you redistribute the Program (or any work based on the
Program), the recipient automatically receives a license from the
original licensor to copy, distribute or modify the Program subject to
these terms and conditions.  You may not impose any further
restrictions on the recipients' exercise of the rights granted herein.
You are not responsible for enforcing compliance by third parties to
this License.

<P>

<STRONG>7.</STRONG>
 If, as a consequence of a court judgment or allegation of patent
infringement or for any other reason (not limited to patent issues),
conditions are imposed on you (whether by court order, agreement or
otherwise) that contradict the conditions of this License, they do not
excuse you from the conditions of this License.  If you cannot
distribute so as to satisfy simultaneously your obligations under this
License and any other pertinent obligations, then as a consequence you
may not distribute the Program at all.  For example, if a patent
license would not permit royalty-free redistribution of the Program by
all those who receive copies directly or indirectly through you, then
the only way you could satisfy both it and this License would be to
refrain entirely from distribution of the Program.
<P>

If any portion of this section is held invalid or unenforceable under
any particular circumstance, the balance of the section is intended to
apply and the section as a whole is intended to apply in other
circumstances.
<P>

It is not the purpose of this section to induce you to infringe any
patents or other property right claims or to contest validity of any
such claims; this section has the sole purpose of protecting the
integrity of the free software distribution system, which is
implemented by public license practices.  Many people have made
generous contributions to the wide range of software distributed
through that system in reliance on consistent application of that
system; it is up to the author/donor to decide if he or she is willing
to distribute software through any other system and a licensee cannot
impose that choice.
<P>

This section is intended to make thoroughly clear what is believed to
be a consequence of the rest of this License.

<P>

<STRONG>8.</STRONG>
 If the distribution and/or use of the Program is restricted in
certain countries either by patents or by copyrighted interfaces, the
original copyright holder who places the Program under this License
may add an explicit geographical distribution limitation excluding
those countries, so that distribution is permitted only in or among
countries not thus excluded.  In such case, this License incorporates
the limitation as if written in the body of this License.

<P>

<STRONG>9.</STRONG>
 The Free Software Foundation may publish revised and/or new versions
of the General Public License from time to time.  Such new versions will
be similar in spirit to the present version, but may differ in detail to
address new problems or concerns.
<P>

Each version is given a distinguishing version number.  If the Program
specifies a version number of this License which applies to it and "any
later version", you have the option of following the terms and conditions
either of that version or of any later version published by the Free
Software Foundation.  If the Program does not specify a version number of
this License, you may choose any version ever published by the Free Software
Foundation.

<P>


<STRONG>10.</STRONG>
 If you wish to incorporate parts of the Program into other free
programs whose distribution conditions are different, write to the author
to ask for permission.  For software which is copyrighted by the Free
Software Foundation, write to the Free Software Foundation; we sometimes
make exceptions for this.  Our decision will be guided by the two goals
of preserving the free status of all derivatives of our free software and
of promoting the sharing and reuse of software generally.



<a name="sec4.4"></a>
<P><STRONG>NO WARRANTY</STRONG></P>

<P>

<STRONG>11.</STRONG>
 BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN
OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS
TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE
PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
REPAIR OR CORRECTION.

<P>

<STRONG>12.</STRONG>
 IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
POSSIBILITY OF SUCH DAMAGES.

<P>


<h3>END OF TERMS AND CONDITIONS</h3>


<p align="right"><a href="<?php echo( $apx_supportlink ); ?>">mg.applanix.web</A><br>
<A href="mailto:<?php echo( $apx_supportmail ); ?>">mg.applanix.email</A>
</P>
</TD></TR></TABLE>

