<?php // $Id: dsp_bookings.php,v 1.4 2004/10/11 10:42:44 mario Exp $

/**************************************************************************
 * mg.applanix, Copyright (C) by Mario Gleirscher                         *
 * mg.applanix comes with ABSOLUTELY NO WARRANTY; This is free software,  *
 * and you are welcome to redistribute it under certain conditions;       *
 * view the file COPYING for details.                                     *
 **************************************************************************/

/*
 * Required files:
 * - act_structs.php
 *
 * Parameter:
 */

require_once( $apx_root_path."act_structs.php" );

// Struktur fuellen
$sSList = new APXSurveyList(
    'bk_accountdb', 'bk_account', '', _( "Accounting file" ),
    false,
    false, '', 'bk_accounts', 'account_id', 'qAccountingData' );

$sSList->initMessages(
    _( "There is no accounting data available! Please, create new accounts in the administration menu." ),
    _( "Define a new account for the accounting." )
    );

$sSList->enableMultiDel( 'bk_accounts' );

$sSList->addColumn( _( 'Accountnr.' ),         's', 'custom_id' );
$sSList->addColumn( _( 'Title' ),              's', 'label' );
$sSList->addColumn( _( 'Type' ),               'a', 'type;apx_bk_account_types' );
$sSList->addColumn( _( 'Balance' ),            'w', 'account_status' );
// $sSList->addColumn( _( 'Actions' ),            'i',  $apx_root_path.'dsp/dsp_bk_accounts_col_1.php', 'apx_controlbg' );
$sSList->addColumn( _( 'Edit' ),               'e',
    '<a href="[=apx_script=]?apx_a=bk_entry&do=i&account_id=[(account_id)]">
     <img title="'._( "Create new entry" ).'" src="[=apx_imgpath=]sym_new.gif"
     onMouseover="return dispStatus(\''._( "Create new entry" ).'\')"
     onMouseout="return dispStatus(\'\')"></a>' );

require( $apx_root_path.'dsp/dsp_list.php' );

?>


