<?php // $Id: dsp_dates.php,v 1.13 2004/10/11 10:42:44 mario Exp $

/**************************************************************************
 * mg.applanix, Copyright (C) by Mario Gleirscher                         *
 * mg.applanix comes with ABSOLUTELY NO WARRANTY; This is free software,  *
 * and you are welcome to redistribute it under certain conditions;       *
 * view the file COPYING for details.                                     *
 **************************************************************************/

/*
 * Required files:
 * - act_structs.php
 * - dsp_list.php
 *
 * Parameter:
 * -
 *
 */

require_once( $apx_root_path."act_structs.php" );

// Struktur fuellen
$sSList = new APXSurveyList(
    'datedb', 'date', '', _( "Date file" ),
    false, false, '', 'dates', 'date_id', 'qDates'
    );

$sSList->initMessages(
    _( "There is no date information left in the database! Please, insert new dates to the database." ),
    _( "Add new date" ),
    _( "Topicality" )
    );

$sSList->enableMultiDel( 'dates', true );

$sSList->addColumn( _( 'Date' ),               'd', 'thedate' );
$sSList->addColumn( _( 'Reminder' ),           'b', 'reminder;'._( 'enabled;disabled' ) );
$sSList->addColumn( _( 'Priority' ),           'a', 'priority;apx_DatePriorities' );
$sSList->addColumn( _( 'Notice (ToDos)' ),     's', 'notice' );
$sSList->addColumn( _( 'Show' ),               'b', 'showit;'._( 'yes;no' ) );
$sSList->addColumn( _( 'Edit' ),               'e', '' );

require( $apx_root_path.'dsp/dsp_list.php' );

?>

