<?php // $Id: dsp_form_editor.php,v 1.14 2004/10/11 10:42:45 mario Exp $

/**************************************************************************
 * mg.applanix, Copyright (C) 2001-2005 Mario Gleirscher                  *
 * mg.applanix comes with ABSOLUTELY NO WARRANTY; This is free software,  *
 * and you are welcome to redistribute it under certain conditions;       *
 * view the file COPYING for details.                                     *
 **************************************************************************/

require_once( $apx_root_path."act_structs.php" );

// Struktur fuellen
$oForm = new APXDataForm(
    'editor', 'editordb', 4, 'editors', 'editor', false,
    _( 'An item with the same login already exists. Please change the login name and try to save the data again.' ),
    false
    );

$oForm->initMessages( 'i', _( 'Create new user' ) );
$oForm->initMessages( 'u', _( 'Change user data' ) );
$oForm->initMessages( 'd', _( 'Delete user' ) );

$oForm->addField( 'firstname',    'text',     'line',   'str',  '',  20,  20  );
$oForm->addField( 'lastname',     'text',     'line',   'str',  '',  30,  30  );
$oForm->addField( 'email',        'text',     'email',  'str',  '',  30,  100 );
$oForm->addField( 'login',        'text',     'line',   'str',  '',  10,  10, '', true );
$oForm->addField( 'usertype',     'select',   'array',  'int',  3,    1,   0, 'apx_usertypes;1' );
$oForm->addField( 'active',       'checkbox', '',       'int',  1,    0,   0, 1 );
$oForm->addField( 'password',     'text',     'pw',     'str',  '',  20,  20  );
$oForm->addField( 'startpage',    'select',   'array',  'int',  10,   1,   0, 'apx_std_homepages;0' );

$oForm->setJavascript( '
        return assertTrue( password.value, password_eval.value, \'EQ\', \'str\',
                           \''._( "The password confirmation has failed!" ).'\' );
' );


// Sich selbst als HauptAdministrator kann man nicht loeschen
// Sicherung!!! Sonst sperrt man sich aus!
if( isset( $_COOKIE[ 'apx_session_id' ] ) &&
    $_GET[ 'id' ] == $apx_auth_editor_id &&
    $_GET[ 'do' ] == 'd' ) {
    trigger_error( $apx_errors[12], E_USER_WARNING );
}
else
    require( $apx_root_path.'dsp/dsp_form.php' );

?>


