<?php // $Id: qry_nextcustomers.php,v 1.11 2004/10/11 10:42:47 mario Exp $

/**************************************************************************
 * mg.applanix, Copyright (C) by Mario Gleirscher                         *
 * mg.applanix comes with ABSOLUTELY NO WARRANTY; This is free software,  *
 * and you are welcome to redistribute it under certain conditions;       *
 * view the file COPYING for details.                                     *
 **************************************************************************/

/*
 * Parameter:
 * $apx_dbsrc_id    (normalerweise in app_globals.php)
 * $apx_curdate_str (normalerweise in app_globals.php)
 */

if( $apx_dbsys == 'mysqli' )
    $sPlanPart = "'".str_replace( ', ', '-', $apx_curdate_str )."'";
elseif( $apx_dbsys == 'odbc' )
    $sPlanPart = "DateSerial( $apx_curdate_str )";


// Alle Buchungen finden, welche noch in der Zukunft liegen
$qNextCustomers =
$apx_dbc->query( "
    SELECT ab.customer_id, ab.room_id, ab.booking_id, ac.firstname,
           ac.lastname, ab.date_begin, ab.timeofarrival,
           ab.date_end, ab.notice, ab.persons, ab.confirmed
    FROM   ".$apx_dbtableprefix."bookings AS ab
           INNER JOIN
           ".$apx_dbtableprefix."customers AS ac
           ON ab.customer_id = ac.customer_id
    WHERE  ab.showit = 1 AND
           ( ab.date_begin > ".$sPlanPart." ) AND
           ac.entrytype = 1
    ORDER  BY ab.date_begin
    " );

$qCurrentCustomers =
$apx_dbc->query( "
    SELECT ab.customer_id, ab.room_id, ab.booking_id, ac.firstname,
           ac.lastname, ab.date_begin,
           ab.reported, ab.checkedin, ab.payed,
           ab.date_end, ab.notice, ab.persons, aa.name, aa.roomnumber
    FROM   (
           ".$apx_dbtableprefix."bookings AS ab
           INNER JOIN
           ".$apx_dbtableprefix."customers AS ac
           ON ab.customer_id = ac.customer_id
           )
           INNER JOIN
           ".$apx_dbtableprefix."rooms AS aa
           ON ab.room_id = aa.room_id
    WHERE  ab.showit = 1 AND
           ( ab.date_begin <= ".$sPlanPart." ) AND
           ( ab.date_end > ".$sPlanPart." ) AND
           ac.entrytype = 1
    ORDER  BY ab.date_begin
    " );

?>
